summaryrefslogtreecommitdiff
path: root/buildbot/bootstrap-scripts/bootstrap-walletbuilder
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2021-04-14 12:11:01 +0200
committerFlorian Dold <florian@dold.me>2021-04-14 12:11:01 +0200
commit38f4e5eb5ad2e433758b9a7a758413112240bbc3 (patch)
tree2eca466dbd6bbd681da237fd4efdf3e3338333dc /buildbot/bootstrap-scripts/bootstrap-walletbuilder
parent28b0ccfca5d0cf2de31548d8051207583a20c3b4 (diff)
downloaddeployment-38f4e5eb5ad2e433758b9a7a758413112240bbc3.tar.gz
deployment-38f4e5eb5ad2e433758b9a7a758413112240bbc3.tar.bz2
deployment-38f4e5eb5ad2e433758b9a7a758413112240bbc3.zip
move undocumented bootstrap scripts out of the way
Diffstat (limited to 'buildbot/bootstrap-scripts/bootstrap-walletbuilder')
-rwxr-xr-xbuildbot/bootstrap-scripts/bootstrap-walletbuilder38
1 files changed, 38 insertions, 0 deletions
diff --git a/buildbot/bootstrap-scripts/bootstrap-walletbuilder b/buildbot/bootstrap-scripts/bootstrap-walletbuilder
new file mode 100755
index 0000000..8a5304c
--- /dev/null
+++ b/buildbot/bootstrap-scripts/bootstrap-walletbuilder
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the user account that
+# is currently logged in.
+
+# Generates a setup for a single user,
+# including a postgresql DB.
+
+set -eu
+
+BRANCH=master
+REPOS="wallet-core"
+
+cd $HOME
+
+for component in $REPOS; do
+ if ! test -d $HOME/$component; then
+ git clone git://localhost/$component.git
+ fi
+done
+
+for component in $REPOS; do
+ echo "Checking out $component to $BRANCH"
+ git -C $HOME/$component checkout $BRANCH
+done
+
+if test ! -d worker ; then
+ buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 wallet-worker wallet-pass
+fi
+
+
+mkdir -p ~/.config/systemd/user/
+cp systemd-services/buildbot-worker-wallet.service ~/.config/systemd/user/
+
+systemctl --user daemon-reload || echo "Please use 'machinectl shell walletbuilder@.host' to log in to use this script"
+
+systemctl --user enable buildbot-worker-wallet.service
+systemctl --user start buildbot-worker-wallet.service